<?php

use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class ChangeColumnsPropertyChannelMappingTable extends Migration
{

    public function up()
    {
        DB::statement("ALTER TABLE property_channel_mapping MODIFY COLUMN currency_code varchar(3) COLLATE utf8mb4_unicode_ci DEFAULT NULL");
        DB::statement("ALTER TABLE property_channel_mapping MODIFY COLUMN property_booking_type_id int(10) unsigned DEFAULT NULL");
        DB::statement("ALTER TABLE property_channel_mapping MODIFY COLUMN property_availability_type_id int(10) unsigned DEFAULT NULL");
        DB::statement("ALTER TABLE property_channel_mapping MODIFY COLUMN property_room_pricing_type_id int(10) unsigned DEFAULT NULL ");

    }


    public function down()
    {
        //
    }
}
